Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity
Interface RoleModule

All Known Implementing Classes:
  CachedLDAPRoleModuleWrapper, HibernateRoleModuleImpl, LDAPExtRoleModuleImpl, LDAPRoleModule, LDAPRoleModuleImpl, RoleModuleService

    public interface RoleModule

Version:
  $Revision: 5885 $
Author:
  Julien Viet , Thomas Heute , Roy Russo : roy at jboss dot org

Method Summary
`Role` | `createRole(java.lang.String name, java.lang.String displayName)` Create a new role with the specified name.
`Role` | `findRoleById(java.lang.Object id)` Retrieves a role by its id.
`Role` | `findRoleById(java.lang.String id)` Retrieves a role by its id.
`Role` | `findRoleByName(java.lang.String name)` Retrieves a role by its name
`java.util.Set` | `findRoles()` Get all the roles
`java.util.Set` | `findRolesByNames(java.lang.String[] names)` Retrieve a collection of role from the role names.
`int` | `getRolesCount()` Returns the number of roles.
`void` | `removeRole(java.lang.Object id)` Remove a role.

Method Detail

### findRoleByName

    Role findRoleByName(java.lang.String name)
                        throws IdentityException,
                               java.lang.IllegalArgumentException

  Retrieves a role by its name

  Parameters:
    `name` - the role name
  Returns:
    the role
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### findRolesByNames

    java.util.Set findRolesByNames(java.lang.String[] names)
                                   throws IdentityException,
                                          java.lang.IllegalArgumentException

  Retrieve a collection of role from the role names.

  Parameters:
    `names` - the role names
  Returns:
    a collection of roles
  Throws:
    `java.lang.IllegalArgumentException`
    `IdentityException`

### findRoleById

    Role findRoleById(java.lang.Object id)
                      throws IdentityException,
                             java.lang.IllegalArgumentException

  Retrieves a role by its id.

  Parameters:
    `id` - the role id
  Returns:
    the role
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### findRoleById

    Role findRoleById(java.lang.String id)
                      throws IdentityException,
                             java.lang.IllegalArgumentException

  Retrieves a role by its id.

  Parameters:
    `id` - the role id
  Returns:
    the role
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### createRole

    Role createRole(java.lang.String name,
                    java.lang.String displayName)
                    throws IdentityException,
                           java.lang.IllegalArgumentException

  Create a new role with the specified name.

  Parameters:
    `name` - the role name
    `displayName` - the role display name
  Returns:
    the role
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### removeRole

    void removeRole(java.lang.Object id)
                    throws IdentityException,
                           java.lang.IllegalArgumentException

  Remove a role.

  Parameters:
    `id` - the role id
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### getRolesCount

    int getRolesCount()
                      throws IdentityException

  Returns the number of roles.

  Returns:
    the number of roles
  Throws:
    `IdentityException`

### findRoles

    java.util.Set findRoles()
                            throws IdentityException

  Get all the roles

  Returns:
    the roles
  Throws:
    `IdentityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD